import * as widgets from '@jupyter-widgets/base';
export declare class MarkModel extends widgets.WidgetModel {
    defaults(): {
        _model_name: string;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        scales: {};
        scales_metadata: {};
        preserve_domain: {};
        display_legend: boolean;
        labels: any[];
        apply_clip: boolean;
        visible: boolean;
        selected_style: {};
        unselected_style: {};
        selected: any;
        enable_hover: boolean;
        tooltip: any;
        tooltip_style: {
            opacity: number;
        };
        interactions: {
            hover: string;
        };
        tooltip_location: string;
        _view_name: string;
        _view_count: number;
    };
    initialize(attributes: any, options: any): void;
    update_data(): void;
    update_domains(): void;
    update_scales(): void;
    unregister_all_scales(scales: any): void;
    handle_destroy(): void;
    get_key_for_dimension(dimension: any): string;
    get_key_for_orientation(orientation: any): string;
    get_data_dict(data: any, index: any): any;
    static serializers: {
        scales: {
            deserialize: typeof widgets.unpack_models;
        };
        tooltip: {
            deserialize: typeof widgets.unpack_models;
        };
        selected: {
            deserialize: (data: any, manager: any) => any;
            serialize: (data: any, manager: any) => any;
        };
    };
    dirty: boolean;
    mark_data: any;
}
